# Interface LabelSymbol3DJson

LabelSymbol3D is used to render labels for features from a FeatureLayer in a 3D SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/labelSymbol3D/.

interface LabelSymbol3DJson {
callout?: CalloutJson;
symbolLayers: TextSymbol3DLayerJson[];
type: "LabelSymbol3D";
verticalOffset?: VerticalOffsetJson;
}

#### Hierarchy (view full)

- Symbol3DJsonBase
  - LabelSymbol3DJson

#####
Index

### Properties

callout?
symbolLayers
type
verticalOffset?

##
Properties

### `Optional` callout

callout?: CalloutJson

Callout configuration for a symbol.

### symbolLayers

symbolLayers: TextSymbol3DLayerJson[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

Overrides Symbol3DJsonBase.symbolLayers

### type

type

The type of symbol. See SymbolJsonType.

Overrides Symbol3DJsonBase.type

### `Optional` verticalOffset

verticalOffset?: VerticalOffsetJson

Shifts the symbol along the vertical world axis by a given length.